
package de.ivu.elect.business.benutzerverwaltung.entity;

import de.ivu.elect.business.wahl.entity.WahlParameterWerte;
import de.ivu.elect.jee.exception.ElectCommonException;

public class BenutzerParameterNichtGesetzException extends ElectCommonException {

  private static final long serialVersionUID = 1L;

  public static final String MESSAGE_KEY = "benutzer.parameter.wert.nicht.gesetzt";

  public BenutzerParameterNichtGesetzException(BenutzerParameterWerte template) {
    this(getLocalizedMessageFromResources(BenutzerParameterWerte.class.getSimpleName() + "." + template.name()));
  }

  protected BenutzerParameterNichtGesetzException(String templateName) {
    super(MESSAGE_KEY, templateName);
  }
}
